using System.Collections.Generic;
using DataBinding.DataAccess.Mappers;
using DataBinding.Domain;

namespace DataBinding.ServiceLayer
{
    public class CustomerTask
    {
        private readonly CustomerMapper customerMapper;

        public CustomerTask():this(new CustomerMapper())
        {            
        }
        
        public CustomerTask(CustomerMapper customerMapper)
        {
            this.customerMapper = customerMapper;
        }
        
        public IList<Customer> GetAllCustomers()
        {
            return customerMapper.GetAllCustomers();
        }
    }
}