using System;
using System.Data;
using System.Transactions;
using NUnit.Framework;

namespace DataBinding.DataAccess.Test
{
    [TestFixture]
    public class DatabaseGatewayTest
    {
     
        [Test]
        public void ShouldBeAbleToRetrieveDatatable()
        {
           using (CreateTransaction())
           {
               TestDatabaseGateway gateway = new TestDatabaseGateway();
               int existingCustomerRows = gateway.GetRowCountFor("Customers");
               
               string sql = "INSERT INTO Customers VALUES('BOODH','Boodhoos Beverages','Jean-Paul Boodhoo','Sales Representative','Fauntleroy Circus','Canada',NULL,'EC2 5NT','UK','(171) 555-1212',NULL)";
               gateway.ExecuteStatement(sql);
               
               DataTable allRows = new DatabaseGateway().QueryForDataTable("SELECT * FROM Customers");
               Assert.AreEqual(existingCustomerRows+1,allRows.Rows.Count);
           }
        }
        
        private TransactionScope CreateTransaction()
        {
            return new TransactionScope();
        }
    }
}