using System;
using System.Data;

namespace DataBinding.DataAccess.Test
{
    public class TestDatabaseGateway
    {
        public int GetRowCountFor(string tableName)
        {
            return ExecuteScalar(string.Format("SELECT Count(*) FROM {0}", tableName));            
        }
        
        public int ExecuteScalar(string expression)
        {
            using (IDatabaseConnection connection = new DatabaseConnection())
            {                
                IDbCommand command = connection.CreateCommandFor(expression);
                return (int) command.ExecuteScalar();
            }
        }

        public int ExecuteStatement(string sql)
        {
            using (IDatabaseConnection connection = new DatabaseConnection())
            {
                return connection.CreateCommandFor(sql).ExecuteNonQuery();
            }
        }
    }
}